Subject: Re: [RFC PATCH 1/4] dt-binding: i2c: add generic properties for GPIO bus recovery

From: Wolfram Sang <[email-masked]>
Date: Fri, 24 Jul 2020 21:39:13 +0200

On Sun, Jul 05, 2020 at 11:19:18PM +0200, Wolfram Sang wrote:
> 
> > +- pinctrl
> > +	add extra pinctrl to configure SCL/SDA pins to GPIO function for bus
> > +	recovery, call it "gpio" or "recovery" state
> 
> I think we should stick with "gpio" only. That is what at91 and imx have
> in their bindings. pxa uses "recovery" as a pinctrl state name but I
> can't find any further use or documentation of that. PXA is not fully
> converted to the best of my knowledge, so maybe it is no problem for PXA
> to switch to "gpio", too? We should ask Russell King (cced).
> 
> Russell, do you object naming the pinctrl state for bus recovery in
> the pxa i2c driver from "recovery" to "gpio"?

No response, so far. I suggest now to support the "recovery" naming but
mark it as deprecated. Opinions?

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel